<template>
  <div>预览开发中</div>
  <!-- <UploadFile
    :changeFillId="courseware_id"
    :accept="acceptFileType"
    :filleNumber="1"
    :fileList="fileList"
    :type="type"
  /> -->
</template>

<script>
import UploadFile from './components/UploadView.vue';
import { getUploadPreviewData } from '@/views/book/courseware/data/uploadPreview';

export default {
  name: 'UploadControlPreview',
  components: { UploadFile },
  data() {
    return {
      data: getUploadPreviewData(),
    };
  },
  watch: {
    'data.file_list': {
      handler(val) {
        console.log(val);
      },
      immediate: true,
    },
  },
  created() {},
  methods: {},
};
</script>
